
rgw - Bug #51491

"ERROR: s3tests.functional.test_s3_website.test_website_xredirect_private_relative" in rgw

07/02/2021 04:09 PM - Yuri Weinstein

Status: Resolved % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Q/A Affected Versions: v16.2.5

Tags:  ceph-qa-suite: rgw

Backport: pacific Pull request ID: 42874

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Run: https://pulpito.ceph.com/yuriw-2021-07-02_14:46:34-rgw-wip-yuri-testing-2021-07-01-1059-pacific-distro-basic-smithi/

Jobs: 6249808, 6249810

Logs: 

http://qa-proxy.ceph.com/teuthology/yuriw-2021-07-02_14:46:34-rgw-wip-yuri-testing-2021-07-01-1059-pacific-distro-basic-smithi/62

49808/teuthology.log

2021-07-02T15:11:58.909 INFO:teuthology.orchestra.run.smithi098.stderr:===========================

===========================================

2021-07-02T15:11:58.909 INFO:teuthology.orchestra.run.smithi098.stderr:ERROR: s3tests.functional.t

est_s3_website.test_website_xredirect_private_relative

2021-07-02T15:11:58.910 INFO:teuthology.orchestra.run.smithi098.stderr:---------------------------

-------------------------------------------

Related issues:

Related to rgw - Bug #53913: rgw: s3website crashes after upgrade from octopu... Duplicate

Duplicated by rgw - Bug #51306: s3-website test failing in teuthology Duplicate

Copied to rgw - Backport #52468: pacific: "ERROR: s3tests.functional.test_s3_... Resolved

History

#1 - 07/08/2021 02:16 PM - Casey Bodley

- Priority changed from Normal to Urgent

- Backport set to pacific

#2 - 07/15/2021 01:57 PM - Casey Bodley

2021-07-02T15:07:20.495 INFO:tasks.rgw.client.1.smithi112.stdout:*** Caught signal (Segmentation fault) **

2021-07-02T15:07:20.495 INFO:tasks.rgw.client.1.smithi112.stdout: in thread 7f9426e3d700 thread_name:radosgw

2021-07-02T15:07:20.497 INFO:tasks.rgw.client.1.smithi112.stdout: ceph version 16.2.4-669-ga4b737da (a4b737da0

ab02e5e25f6653caf359be25f3def56) pacific (stable)

2021-07-02T15:07:20.498 INFO:tasks.rgw.client.1.smithi112.stdout: 1: /lib/x86_64-linux-gnu/libc.so.6(+0x46210)

 [0x7f9644629210]

2021-07-02T15:07:20.498 INFO:tasks.rgw.client.1.smithi112.stdout: 2: /lib/x86_64-linux-gnu/libc.so.6(+0x18e885

) [0x7f9644771885]

2021-07-02T15:07:20.498 INFO:tasks.rgw.client.1.smithi112.stdout: 3: (StackStringBuf<4096ul>::xsputn(char cons

t*, long)+0x238) [0x7f9644c17448]

2021-07-02T15:07:20.498 INFO:tasks.rgw.client.1.smithi112.stdout: 4: (std::basic_ostream<char, std::char_trait

s<char> >& std::__ostream_insert<char, std::char_traits<char> >(std::basic_ostream<char, std::char_traits<char

> >&, char const*, long)+0x154) [0x7f963ad079b4]

2021-07-02T15:07:20.499 INFO:tasks.rgw.client.1.smithi112.stdout: 5: (RGWHandler_REST_S3Website::retarget(RGWO
p*, RGWOp**, optional_yield)+0x404) [0x7f96452266d4]

2021-07-02T15:07:20.499 INFO:tasks.rgw.client.1.smithi112.stdout: 6: (rgw_process_authenticated(RGWHandler_RES

T*, RGWOp*&, RGWRequest*, req_state*, optional_yield, bool)+0x1a80) [0x7f9644d04540]

2021-07-02T15:07:20.499 INFO:tasks.rgw.client.1.smithi112.stdout: 7: (process_request(rgw::sal::RGWRadosStore*

, RGWREST*, RGWRequest*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const

&, rgw::auth::StrategyRegistry const&, RGWRestfulIO*, OpsLogSocket*, optional_yield, rgw::dmclock::Scheduler*,

 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::chrono::duration<unsig

ned long, std::ratio<1l, 1000000000l> >*, int*)+0x3911) [0x7f9644d09421]

2021-07-02T15:07:20.499 INFO:tasks.rgw.client.1.smithi112.stdout: 8: /lib/libradosgw.so.2(+0x462ee9) [0x7f9644

c37ee9]

2021-07-02T15:07:20.500 INFO:tasks.rgw.client.1.smithi112.stdout: 9: /lib/libradosgw.so.2(+0x464431) [0x7f9644

c39431]

2021-07-02T15:07:20.500 INFO:tasks.rgw.client.1.smithi112.stdout: 10: /lib/libradosgw.so.2(+0x4645ac) [0x7f964

4c395ac]

2021-07-02T15:07:20.500 INFO:tasks.rgw.client.1.smithi112.stdout: 11: make_fcontext()

#3 - 07/22/2021 03:39 PM - Daniel Gryniewicz

- Status changed from New to Fix Under Review

- Pull request ID set to 42454

#4 - 08/19/2021 02:38 PM - Casey Bodley

- Duplicated by Bug #51306: s3-website test failing in teuthology added

#5 - 08/31/2021 06:04 PM - Casey Bodley

- Status changed from Fix Under Review to Pending Backport

- Pull request ID changed from 42454 to 42874

#6 - 08/31/2021 06:05 PM - Backport Bot

- Copied to Backport #52468: pacific: "ERROR: s3tests.functional.test_s3_website.test_website_xredirect_private_relative" in rgw added

#7 - 11/16/2021 07:27 AM - Loïc Dachary

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".

#8 - 01/20/2022 03:13 PM - Casey Bodley

- Related to Bug #53913: rgw: s3website crashes after upgrade from octopus to pacific added
